<template>
  <div class="SearchIndividual">
    <van-sticky class="containter-sticky">
      <navBar @clickLeft="onClickLeft" :leftText="title"></navBar>
    </van-sticky>
    <van-search
      v-model="value"
      show-action
      placeholder="请输入搜索关键词"
      @search="handleDetail(value)"
    >
      <template #action>
        <div @click="handleDetail(value)">搜索</div>
      </template>
    </van-search>
  </div>
</template>

<script>
import navBar from '../components/navBar.vue'
export default {
  components: {
    navBar
  },
  name: 'MobileDevice',
  data() {
    return {
      title: '',
      value: ''
    }
  },
  created() {},
  mounted() {
    this.title = this.$route.query.title
    console.log(this.title)
  },
  methods: {
    onClickLeft() {
      // if (this.title == '排查单位') {
      //   this.$router.push({name: 'MobileTroubleshooting'})
      // }
      this.$router.go(-1)
    },
    // 跳转设备详情
    handleDetail(item) {
      console.log(item)
      if (this.title == '排查单位') {
        this.$router.push({
          name: 'MobileTroubleshooting',
          query: {id: item}
        })
      }
    }
  }
}
</script>
<style lang="scss">
@import '@/assets/css/vant-custom.scss';
.SearchIndividual {
  width: 100%;
  position: fixed;
  top: 0;
  z-index: 100;
}
</style>
